apiVersion: apps/v1
kind: Deployment
metadata:
  name: admin-ui  # 固定为项目名，不再用变量
  namespace: default
  labels:
    app: admin-ui
spec:
  replicas: 1
  selector:
    matchLabels:
      app: admin-ui
  template:
    metadata:
      labels:
        app: admin-ui
    spec:
      containers:
        - name: admin-ui
          # 替换为你的镜像仓库地址（如docker.io/yourname/admin-ui）
          image: 116.204.74.41:3000/red-future/admin-ui:latest  # 或固定用tag，如v1.0
          imagePullPolicy: Always
          ports:
            - containerPort: 80  # 该项目实际端口
          resources:
            requests:
              cpu: 100m
              memory: 128Mi
            limits:
              cpu: 500m
              memory: 512Mi
---
apiVersion: v1
kind: Service
metadata:
  name: admin-ui-service
  namespace: default
spec:
  type: NodePort
  selector:
    app: admin-ui
  ports:
    - port: 80
      targetPort: 80
      nodePort: 80  # 该项目专属端口（如其他项目用30002）